%define module mock

Name:           python-mock
Version:        4.0.3
Release:        %mkrel 1
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{module}
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-funcsigs

%description
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%package -n python3-mock
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python
Requires:       python3-funcsigs

%description -n python3-mock
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


%files -n python3-mock
%doc LICENSE.txt README.rst CHANGELOG.rst
%{python3_sitelib}/*

%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 4.0.3-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 2.0.0-1pclos2018
- update

* Mon Mar 21 2016 bb <bb> 1.0.1-2pclos2016
- rebuild for python 3

* Sat Aug 10 2013 billybot <billybot> 1.0.1-1pclos2013
- update
